astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- ALMA Queries (`astroquery.alma`) »
- approximate_primary_beam_sizes

# approximate_primary_beam_sizes

astroquery.alma.utils.approximate_primary_beam_sizes(frequency_support_str, dish_diameter=<Quantity 12. m>, first_null=1.22)

  Using parse_frequency_support, determine the mean primary beam size in each observed band

  Parameters:
    frequency_support_str str

      The frequency support string, see `parse_frequency_support`

    dish_diameter `Quantity`

      Meter-equivalent unit. The diameter of the dish.

    first_null float

      The position of the first null of an Airy. Used to compute resolution as \(R = 1.22 \lambda/D\)